Page MenuHomePhabricator

Enable codehealth pipeline for more extensions
Open, Needs TriagePublic

Description

As discussed in last code health metrics meeting.

One idea would be to enable extension-codehealth for all extensions in integration/config which are in the extension-coverage pipeline (~90). Note that if this patch is merged, then we can do a search/replace on extension-coverage with extension-codehealth.

@hashar @thcipriani any concerns about resource usage with enabling the pipeline for this many extensions? Would you prefer for us to do this in smaller increments?

Event Timeline

kostajh created this task.Jun 4 2019, 1:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2019, 1:47 PM
hashar added a comment.Jun 5 2019, 7:06 AM

Yes please hold. We lack capacity to run all those additional tests right now :-\ I am stuck not being able to add any more instances due to an ongoing issue. Thank you for asking :-]

Also ideally, I would like the codehealth pipeline to avoid rerunning tests that are already run in the test or coverage pipeline. Though that is arguably a lot more work and deserves another task.

Yes please hold. We lack capacity to run all those additional tests right now :-\ I am stuck not being able to add any more instances due to an ongoing issue. Thank you for asking :-]

OK, please let us know when we could move forward again.

Also ideally, I would like the codehealth pipeline to avoid rerunning tests that are already run in the test or coverage pipeline. Though that is arguably a lot more work and deserves another task.

I've created https://gerrit.wikimedia.org/r/c/integration/config/+/514016 which proposes to drop extension-coverage for extensions which are in extension-codehealth. It still results in a little duplication in that we generate the coverage twice on postmerge. Maybe there's a way to run the cover-extensions-publish publisher from mwext-codehealth-master-non-voting

It still results in a little duplication in that we generate the coverage twice on postmerge. Maybe there's a way to run the cover-extensions-publish publisher from mwext-codehealth-master-non-voting

Update, there is now no duplication of effort / CI resources in the latest patchset.

Change 514016 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Publish coverage reports from extension-codehealth

https://gerrit.wikimedia.org/r/514016

Change 514016 merged by jenkins-bot:
[integration/config@master] Publish coverage reports from extension-codehealth

https://gerrit.wikimedia.org/r/514016

Change 517082 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Codehealth: Make mwext-codehealth-master-non-voting synchronous

https://gerrit.wikimedia.org/r/517082

Change 517082 merged by jenkins-bot:
[integration/config@master] Codehealth: Make mwext-codehealth-master-non-voting synchronous

https://gerrit.wikimedia.org/r/517082

Change 533866 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Add ORES extension to codehealth pipeline

https://gerrit.wikimedia.org/r/533866

Change 533889 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Codehealth: Add CirrusSearch to pipeline

https://gerrit.wikimedia.org/r/533889

hashar removed a subscriber: hashar.Sep 2 2019, 6:21 PM

Added Popups and Mobile Frontend extensions to pipeline.

Change 533889 merged by jenkins-bot:
[integration/config@master] layout: [CirrusSearch] Switch from coverage to codehealth jobs

https://gerrit.wikimedia.org/r/533889

Change 533866 merged by jenkins-bot:
[integration/config@master] layout: [ORES] Switch from coverage to codehealth jobs

https://gerrit.wikimedia.org/r/533866

Mentioned in SAL (#wikimedia-releng) [2019-09-03T21:59:38Z] <James_F> Zuul: Move ORES and CirrusSearch to codehealth T224990